﻿using HeuristicLab.Optimization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace HeuristicLab.Clients.Hive.WebJobManager.Models
{
    /// <summary>
    /// Used for file opening, contains algorithm, depth and random
    /// </summary>
    public class AlgorithmContainer
    {
        public IAlgorithm algo { get; set; }
        public System.Random randy { get; set; }
        public List<int[]> depth { get; set; }

        public AlgorithmContainer(IAlgorithm al, List<int[]> d, int[] v, System.Random r)
        {
            algo = al;
            depth = d;
            depth.Add(v);
            randy = r;
        }
    }
}
