﻿using HeuristicLab.Optimization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace HeuristicLab.Clients.Hive.WebJobManager.Models
{
    /// <summary>
    /// Used for file opening, contains experiment, depth and random
    /// </summary>
    public class ExperimentContainer
    {
        public Experiment exp { get; set; }
        public List<int[]> depth { get; set; }
        public System.Random randy { get; set; }

        public ExperimentContainer(Experiment e, List<int[]> d, int[] v, System.Random r)
        {
            exp = e;
            depth = d;
            depth.Add(v);
            randy = r;
        }
    }
}
